Bug 26151 - Remove the use of jquery.checkboxes plugin from suggestions management page
Summary: Remove the use of jquery.checkboxes plugin from suggestions management page
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-08-05 17:26 UTC by Owen Leonard
Modified: 2020-10-27 04:27 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05


Attachments
Bug 26151: Remove the use of jquery.checkboxes plugin from suggestions management page (2.23 KB, patch)
2020-08-05 17:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26151: Remove the use of jquery.checkboxes plugin from suggestions management page (2.28 KB, patch)
2020-09-15 14:35 UTC, Brandon J
Details | Diff | Splinter Review
Bug 26151: Remove the use of jquery.checkboxes plugin from suggestions management page (2.34 KB, patch)
2020-09-15 20:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-08-05 17:26:54 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. 

Its use should be replaced on the suggestions management page.
Comment 1 Owen Leonard 2020-08-05 17:32:51 UTC
Created attachment 107854 [details] [review]
Bug 26151: Remove the use of jquery.checkboxes plugin from suggestions management page

This patch removes the use of the jquery.checkboxes plugin from the
suggestions management page and replaces it with custom JS.

To test, apply the patch and go to Acquisitions -> Suggestions

Under each tab ("Accepted," "Pending," etc.), test that the "Check all"
and "Uncheck all" controls work correctly and only affect the table on
that tab.
Comment 2 Brandon J 2020-09-15 14:35:33 UTC
Created attachment 110112 [details] [review]
Bug 26151: Remove the use of jquery.checkboxes plugin from suggestions management page

This patch removes the use of the jquery.checkboxes plugin from the
suggestions management page and replaces it with custom JS.

To test, apply the patch and go to Acquisitions -> Suggestions

Under each tab ("Accepted," "Pending," etc.), test that the "Check all"
and "Uncheck all" controls work correctly and only affect the table on
that tab.

Signed-off-by: Brandon J <brandon.jimenez@inLibro.com>
Comment 3 Katrin Fischer 2020-09-15 20:11:57 UTC
Created attachment 110125 [details] [review]
Bug 26151: Remove the use of jquery.checkboxes plugin from suggestions management page

This patch removes the use of the jquery.checkboxes plugin from the
suggestions management page and replaces it with custom JS.

To test, apply the patch and go to Acquisitions -> Suggestions

Under each tab ("Accepted," "Pending," etc.), test that the "Check all"
and "Uncheck all" controls work correctly and only affect the table on
that tab.

Signed-off-by: Brandon J <brandon.jimenez@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-09-29 12:30:08 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-10-20 17:00:41 UTC
backported to 20.05.x for 20.05.05
Comment 6 Aleisha Amohia 2020-10-27 04:27:56 UTC
enhancement, not backported to 19.11.x